<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSurveyAnswerSubmitsTable extends Migration
{

    public function up()
    {
        Schema::create('survey_answer_submits', function (Blueprint $table) {
            $table->id();
            $table->integer('assign_id');
            $table->integer('survey_id');
            $table->integer('user_id');
            $table->integer('question_id');
            $table->integer('attribute_id')->nullable();
            $table->string('answer')->nullable();
            $table->integer('lms_id')->default(1);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('survey_answer_submits');
    }
}
